--- title: "createTemplate" slug: "ai-application-service-cloudoutboundmailer-createtemplate" tags: ["Cloud Outbound Mailer"] updated: 2026-09-17T09:35:44Z published: 2026-09-17T09:35:44Z canonical: "api.ncloud-docs.com/ai-application-service-cloudoutboundmailer-createtemplate" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # createTemplate Available in Classic and VPC Create a new mail template by setting the subject, body, etc. of the email you want to send. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /template | ### Request headers For information about the headers common to all Cloud Outbound Mailer APIs, see [Cloud Outbound Mailer request headers](/docs/en/ai-application-service-cloudoutboundmailer#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `categorySid` | String | Optional | SID of the category the template will belong to - -1 (root) (default) | | `templateName` | String | Required | Name of the template to create - Enter 1-100 characters by combining Korean letters, English letters, numbers, and special characters ".", "-", and "_". | | `description` | String | Optional | Description of the template (byte) - 0-300 | | `title` | String | Required | Email subject (byte) - 1-500 | | `body` | String | Required | Email body | | `senderAddress` | String | Required | Sender's email address | | `senderName` | String | Optional | Sender's name (byte) - 0-69 | | `isUse` | Boolean | Optional | Whether to use the template created - `true` \| `false` - `true`: Use template - `false`: Not use template | ### Request example The request example is as follows: ``` curl --location --request POST 'https://mail.apigw.ntruss.com/api/v1/template' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data-raw '{ "categorySid": 252, "templateName": "membershipTemplate", "description": "Example of creating a template", "title": "[EN] Naver Cloud Platform", "body": "Congratulations on your membership.", "senderAddress": "admin@master.com", "senderName": "Admin", "isUse": true }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `sid` | Integer | - | SID of the created template | | `createDate` | Object | - | Creation date and time - See [NesDateTime](/docs/en/common-vapidatatype-nesdatetime). | | `name` | String | - | Name of the created template | | `description` | String | - | Description of the created template | | `title` | String | - | Email subject | | `senderAddress` | String | - | Sender's email address | | `senderName` | String | - | Sender name | | `body` | String | - | Email body | | `isUse` | Boolean | - | Template usage status | | `category` | Object | - | Parent category information - See [Category](/docs/en/common-vapidatatype-nescategory). | ### Response status codes For information about the HTTP status codes common to all Cloud Outbound Mailer APIs, see [Cloud Outbound Mailer response status codes](/docs/en/ai-application-service-cloudoutboundmailer#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "sid": 258, "createDate": { "utc": 1589348863431, "formattedDate": "2020-05-13", "formattedDateTime": "2020-05-13 14:47:43 431" }, "name": "membershipTemplate", "description": "Example of creating a template", "title": "[EN] Naver Cloud Platform", "senderAddress": "admin@master.com", "senderName": "Admin", "body": "Congratulations on your membership.", "isUse": true, "category": { "sid": 252, "parentSid": -1, "name": "testCategory" } } ```